module Admins::CompetitionPrizeUsersHelper
  def display_auth_state(flag, other = false, success: nil, normal: nil, error: nil)
    success ||= '<i class="fa fa-check text-success font-16"/>'.html_safe
    normal ||= '--'
    error ||= '<i class="fa fa-close text-secondary font-16"/>'.html_safe

    return success if flag
    other ? normal : error
  end
end